> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whatabot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Flows

> List all flows with pagination and filtering.

Retrieve a paginated list of flows. You can filter by workspace and date range.

<ParamField header="X-Api-Key" type="string" required>
  Your API key (prefixed with `wh_`).
</ParamField>

<ParamField query="page" type="integer" default="0">
  Page number (zero-based).
</ParamField>

<ParamField query="size" type="integer" default="10">
  Number of items per page (1-100).
</ParamField>

<ParamField query="orderBy" type="string">
  Column name to order results by.
</ParamField>

<ParamField query="direction" type="string" default="ASC">
  Sort direction. `ASC` or `DESC`.
</ParamField>

<ParamField query="workspaceId" type="string">
  Filter by workspace UUID.
</ParamField>

<ParamField query="workspaceName" type="string">
  Filter by workspace name.
</ParamField>

<ParamField query="dateRange" type="string">
  Filter by date range. One of `today`, `last7days`, `last15days`, `last30days`.
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X GET "https://api.whatabot.app/api/v1/flows?page=0&size=10" \
    -H "X-Api-Key: wh_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "content": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "name": "My Flow",
        "createdAt": "2025-01-15T10:30:00.000Z",
        "updatedAt": "2025-01-15T10:30:00.000Z",
        "workspace": {
          "id": "660e8400-e29b-41d4-a716-446655440000",
          "name": "My Workspace"
        }
      }
    ],
    "totalElements": 1,
    "totalPages": 1,
    "number": 0,
    "size": 10,
    "first": true,
    "last": true
  }
  ```
</ResponseExample>
